Skip to main content
PATCH
Update an API key

Authorizations

X-Api-Key
string
header
required

Path Parameters

projectIdOrName
string
required

The Ampersand project ID or project name.

apiKey
string
required

API key to access Ampersand APIs.

Body

application/json
updateMask
string[]
required

Array of field paths specifying which fields to update. Allowed values include:

  • active
  • label
  • scopes
Example:
apiKey
object
required

Response

API key updated

key
string
required

The API key.

Example:

"api-key-123"

label
string
required

A short name for the API key.

Example:

"MailMonkey API Key"

scopes
string[]
required

The scopes for the API key.

projectId
string
required

The project ID.

Example:

"my-project"

active
boolean

Whether the API key is active.

Example:

true